<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {

        Schema::create('calls', function (Blueprint $table) {     
            $table->id(); 
            $table->foreignid('subscriber_id')->constrained()->onUpdate('cascade')->onDelete('cascade');
            $table->date("date_calls");
            $table->time('time_talk');
            $table->string('number_phone');
            $table->string('notes');
            $table->float('price');
            $table->timestamps();

        });    
}


    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        //
    }
};
